|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QStatusTipEvent Class Reference

The QStatusTipEvent class provides an event that is used to show messages in a status bar. More...

    #include <QStatusTipEvent>

Part of the QtGui module.

Inherits QEvent.

- List of all members, including inherited members

### Public Functions

- QStatusTipEvent ( const QString & tip )
- QString tip () const

- 6 public functions inherited from QEvent

### Additional Inherited Members

- 1 property inherited from QEvent

## Detailed Description

The QStatusTipEvent class provides an event that is used to show messages in a status bar.

Status tips can be set on a widget using QWidget::setStatusTip(). They are shown in the status bar when the mouse cursor enters the widget. Status tips can also be set on actions using QAction::setStatusTip(), and they are supported for the item view classes through Qt::StatusTipRole.

See also QStatusBar, QHelpEvent, and QWhatsThisClickedEvent.

## Member Function Documentation

### QStatusTipEvent::QStatusTipEvent ( const QString & tip )

Constructs a status tip event with text specified by tip.

See also tip().

### QString QStatusTipEvent::tip () const

Returns the message to show in the status bar.

See also QStatusBar::showMessage().